Subject: [Cfrg] Fwd: New Version Notification for draft-nir-cfrg-rfc7539bis-00.txt

From: Yoav Nir <[email-masked]>
Date: Sun, 20 Nov 2016 08:48:10 +0200

Hi.

So the thread on the mailing list was quite positive, and I have submitted a -00 version. The changes are all about merging the errata. I have not added John’s comment about Jim’s message about tag truncation.

Here are links to RFC 7539 and the new draft, both in unpaginated form to ease diff-ing. There is the obvious boilerplate and copyright differences between draft and RFC.

RFC: https://dl.dropboxusercontent.com/u/28687906/rfc7539bis/rfc7539_long.txt
Draft: https://dl.dropboxusercontent.com/u/28687906/rfc7539bis/draft-nir-cfrg-rfc7539bis-00.raw.txt

Yoav

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-nir-cfrg-rfc7539bis-00.txt
> Date: 16 November 2016 at 9:08:53 GMT+2
> To: "Yoav Nir" <[email-masked]>, "Adam Langley" <[email-masked]>
> 
> 
> A new version of I-D, draft-nir-cfrg-rfc7539bis-00.txt
> has been successfully submitted by Yoav Nir and posted to the
> IETF repository.
> 
> Name:		draft-nir-cfrg-rfc7539bis
> Revision:	00
> Title:		ChaCha20 and Poly1305 for IETF Protocols
> Document date:	2016-11-15
> Group:		Individual Submission
> Pages:		45
> URL:            https://www.ietf.org/internet-drafts/draft-nir-cfrg-rfc7539bis-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-nir-cfrg-rfc7539bis/
> Htmlized:       https://tools.ietf.org/html/draft-nir-cfrg-rfc7539bis-00
> 
> 
> Abstract:
>   This document defines the ChaCha20 stream cipher as well as the use
>   of the Poly1305 authenticator, both as stand-alone algorithms and as
>   a "combined mode", or Authenticated Encryption with Associated Data
>   (AEAD) algorithm.
> 
>   RFC 7539, The predecessor of this document, did not introduce any new
>   crypto, but was meant to serve as a stable reference and an
>   implementation guide.  It was a product of the Crypto Forum Research
>   Group (CFRG).  This document merges the errata filed against RFC 7539
>   and adds a little text to the Security Considerations section.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>